fix 'make distcheck':

add missing files to EXTRA_DIST, SOURCES
update CLEANFILES
.conf files and .cvd files are not removed during uninstall on purpose =>
whitelist them in distuninstallcheck


git-svn: trunk@4040
0.95
Török Edvin 17 years ago
parent 29eb2189af
commit b6927a7c77
  1. 4
      Makefile.am
  2. 6
      Makefile.in
  3. 2
      configure.in
  4. 1
      database/Makefile.am
  5. 1
      libclamav/Makefile.am
  6. 1
      libclamav/Makefile.in
  7. 5
      unit_tests/Makefile.am
  8. 6
      unit_tests/Makefile.in
  9. 4
      unit_tests/check_clamd.sh
  10. 10
      unit_tests/check_clamscan.sh

@ -24,3 +24,7 @@ bin_SCRIPTS=clamav-config
pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = libclamav.pc
# don't complain that configuration files and databases are not removed, this is intended
distuninstallcheck_listfiles = find . -type f ! -name clamd.conf ! -name freshclam.conf ! -name daily.cvd ! -name main.cvd -print
DISTCLEANFILES = target.h

@ -118,7 +118,6 @@ am__remove_distdir = \
&& rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
@ -259,6 +258,10 @@ EXTRA_DIST = FAQ examples BUGS shared libclamav.pc.in UPGRADE COPYING.bzip2 COPY
bin_SCRIPTS = clamav-config
pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = libclamav.pc
# don't complain that configuration files and databases are not removed, this is intended
distuninstallcheck_listfiles = find . -type f ! -name clamd.conf ! -name freshclam.conf ! -name daily.cvd ! -name main.cvd -print
DISTCLEANFILES = target.h
all: clamav-config.h
$(MAKE) $(AM_MAKEFLAGS) all-recursive
@ -687,6 +690,7 @@ clean-generic:
distclean-generic:
-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
maintainer-clean-generic:
@echo "This command is intended for maintainers to use"

@ -32,7 +32,7 @@ AC_CONFIG_MACRO_DIR([m4])
AC_CREATE_TARGET_H([target.h])
dnl -Wall and -Werror here are NOT CFLAGS, they refer to automake warnings
AM_INIT_AUTOMAKE([-Wall -Werror foreign dist-bzip2 no-define])
AM_INIT_AUTOMAKE([-Wall -Wportability -Wno-override -Werror foreign dist-bzip2 no-define])
dnl we told automake to not define these, since we want to include
dnl the date in the version

@ -38,3 +38,4 @@ install-data-local:
if test -f $(DESTDIR)$(DBINST)/daily.cvd; then chown ${CLAMAVUSER} $(DESTDIR)$(DBINST)/daily.cvd; fi;\
if test -f $(DESTDIR)$(DBINST)/daily.cvd; then chgrp ${CLAMAVGROUP} $(DESTDIR)$(DBINST)/daily.cvd; fi;\
fi

@ -169,6 +169,7 @@ libclamav_la_SOURCES = \
phish_domaincheck_db.h \
phish_whitelist.c \
phish_whitelist.h \
iana_cctld.h \
iana_tld.h \
regex_list.c \
regex_list.h \

@ -411,6 +411,7 @@ libclamav_la_SOURCES = \
phish_domaincheck_db.h \
phish_whitelist.c \
phish_whitelist.h \
iana_cctld.h \
iana_tld.h \
regex_list.c \
regex_list.h \

@ -26,14 +26,14 @@ check_clamscan.sh: $(top_builddir)/test/clam.exe
$(top_builddir)/test/clam.exe:
(cd $(top_builddir)/test && $(MAKE))
EXTRA_DIST=.split inputs/ test-clamd.conf test-freshclam.conf valgrind.supp
CLEANFILES=lcov.out *.gcno *.gcda *.log /tmp/clamd-test.log $(FILES) test-stderr.log clamscan.log valgrind.log clamdscan.log
EXTRA_DIST=.split input test-clamd.conf test-freshclam.conf valgrind.supp virusaction-test.sh
if ENABLE_COVERAGE
LCOV_OUTPUT = lcov.out
LCOV_HTML = lcov_html
LCOV_LCOV = @LCOV@
LCOV_GCOV = @GCOV@
LCOV_GENHTML = @GENHTML@
CLEANFILES=lcov.out *.gcno *.gcda *.log /tmp/clamd-test.log $(FILES)
lcov: $(LCOV_HTML)
DIRECTORIES=--directory . --directory ../libclamav --directory ../clamd --directory ../freshclam --directory ../sigtool --directory ../clamscan --directory ../clamdscan
@ -56,7 +56,6 @@ lcov-clean:
$(LCOV_LCOV) $(DIRECTORIES) --zerocounters
else
CLEANFILES=/tmp/clamd-test.log $(FILES)
lcov:
@echo "Coverage information gathering is not enabled in this build"
@echo "Use ./configure --enable-coverage to enable it"

@ -226,14 +226,13 @@ scripts = check_clamd.sh check_freshclam.sh check_sigtool.sh check_clamscan.sh v
check_clamav_SOURCES = check_clamav.c check_jsnorm.c check_str.c check_regex.c checks.h $(top_builddir)/libclamav/clamav.h check_disasm.c
check_clamav_CFLAGS = @CHECK_CFLAGS@ -DSRCDIR=\"$(abs_srcdir)\"
check_clamav_LDADD = $(top_builddir)/libclamav/libclamav.la @THREAD_LIBS@ @CHECK_LIBS@
EXTRA_DIST = .split inputs/ test-clamd.conf test-freshclam.conf valgrind.supp
CLEANFILES = lcov.out *.gcno *.gcda *.log /tmp/clamd-test.log $(FILES) test-stderr.log clamscan.log valgrind.log clamdscan.log
EXTRA_DIST = .split input test-clamd.conf test-freshclam.conf valgrind.supp virusaction-test.sh
@ENABLE_COVERAGE_TRUE@LCOV_OUTPUT = lcov.out
@ENABLE_COVERAGE_TRUE@LCOV_HTML = lcov_html
@ENABLE_COVERAGE_TRUE@LCOV_LCOV = @LCOV@
@ENABLE_COVERAGE_TRUE@LCOV_GCOV = @GCOV@
@ENABLE_COVERAGE_TRUE@LCOV_GENHTML = @GENHTML@
@ENABLE_COVERAGE_FALSE@CLEANFILES = /tmp/clamd-test.log $(FILES)
@ENABLE_COVERAGE_TRUE@CLEANFILES = lcov.out *.gcno *.gcda *.log /tmp/clamd-test.log $(FILES)
@ENABLE_COVERAGE_TRUE@DIRECTORIES = --directory . --directory ../libclamav --directory ../clamd --directory ../freshclam --directory ../sigtool --directory ../clamscan --directory ../clamdscan
all: all-am
@ -722,6 +721,7 @@ $(top_builddir)/test/clam.exe:
@ENABLE_COVERAGE_TRUE@lcov-clean:
@ENABLE_COVERAGE_TRUE@ -$(RM) -r $(LCOV_HTML) $(LCOV_OUTPUT)
@ENABLE_COVERAGE_TRUE@ $(LCOV_LCOV) $(DIRECTORIES) --zerocounters
@ENABLE_COVERAGE_FALSE@lcov:
@ENABLE_COVERAGE_FALSE@ @echo "Coverage information gathering is not enabled in this build"
@ENABLE_COVERAGE_FALSE@ @echo "Use ./configure --enable-coverage to enable it"

@ -37,7 +37,7 @@ if test "$NFILES" -ne "$NINFECTED"; then
fi
# Test VirusEvent feature
cp $srcdir/test-clamd.conf test-clamd-viraction.conf
cat <$srcdir/test-clamd.conf >test-clamd-viraction.conf
echo "VirusEvent `pwd`/$srcdir/virusaction-test.sh `pwd` \"Virus found: %v\"" >>test-clamd-viraction.conf
rm -f test-clamd.log
run_clamd_test test-clamd-viraction.conf ../test/clam.exe
@ -48,7 +48,7 @@ if ! grep "Virus found: ClamAV-Test-File.UNOFFICIAL" test-clamd.log >/dev/null 2
fi
# Test HeuristicScanPrecedence feature
cp $srcdir/test-clamd.conf test-clamd-heur-pred.conf
cat <$srcdir/test-clamd.conf >test-clamd-heur-pred.conf
run_clamd_test test-clamd-heur-pred.conf clam-phish-exe
if ! grep "ClamAV-Test-File" clamdscan.log >/dev/null 2>/dev/null; then
echo "HeuristicScanPrecedence off test failed!" >&2;

@ -1,4 +1,8 @@
#!/bin/sh
die() {
rm -rf test-db
exit $1;
}
mkdir test-db
cat <<EOF >test-db/test.hdb
aa15bcf478d165efd2065190eb473bcb:544:ClamAV-Test-File
@ -8,13 +12,13 @@ rm -f clamscan.log
if test $? != 1; then
echo "Error running clamscan: $?" >&2;
grep OK clamscan.log >&2;
exit 1;
die 1;
fi
NFILES=`ls -1 ../test/clam* | wc -l`
NINFECTED=`grep "Infected files" clamscan.log | cut -f2 -d:`
if test "$NFILES" -ne "$NINFECTED"; then
echo "clamscan did not detect all testfiles correctly!" >&2;
grep OK clamscan.log >&2;
exit 2;
die 2;
fi
exit 0;
die 0;

Loading…
Cancel
Save